Get Scan Logs
curl --request GET \
--url https://rts-senthrex.slayers.tech/logs/{scan_uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://rts-senthrex.slayers.tech/logs/{scan_uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rts-senthrex.slayers.tech/logs/{scan_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"scan_uuid": "<string>",
"log_file_path": "<string>",
"log_content": "<string>",
"log_size_bytes": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API Reference
Get scan logs
Retrieve logs for a scan UUID.
GET
/
logs
/
{scan_uuid}
Get Scan Logs
curl --request GET \
--url https://rts-senthrex.slayers.tech/logs/{scan_uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://rts-senthrex.slayers.tech/logs/{scan_uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rts-senthrex.slayers.tech/logs/{scan_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"scan_uuid": "<string>",
"log_file_path": "<string>",
"log_content": "<string>",
"log_size_bytes": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get scan logs
Returns detailed log data including the log file path, full log content, and size metadata.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Response containing scan execution logs.
Attributes: scan_uuid: Scan identifier. log_file_path: Filesystem path to the log file. log_content: Full text of the execution log. log_size_bytes: Size of the log content in bytes.
